project: # 工程配置
  name: tankfinal # 工程名稱
  author: Tank.Yang # 作者

db: # 數據庫配置
  driver: com.microsoft.sqlserver.jdbc.SQLServerDriver # 驅動配置
  url: jdbc:sqlserver://127.0.0.1;DatabaseName=TANKFINAL_DB1
  user: mes # 數據庫用户
  password: mes123 #數據庫密碼

file: # 生成文件配置
  outPutDir: D:\generatorCode # 文件根目錄
  fileOverRide: true # 是否覆盖已生成的文件

global: # 全局配置
  tablePrefix: # 统一表前缀,例如 sys_
  genBaseResultMap: false # 是否生成BaseResultMap,在XML中的返回结果映射
  genBaseColumnList: true # 是否生成所有列映射SQL
  genEntityColumnConstant: true # 是否给每个實體類生成所有字段的常量變量
  genEntityLombokModel: true # 生成實體類是否按照Lombok模板生成
  genEntityBuilderModel: true # build 模式

pack: # 包配置
  name: com # 父包名
  # table使用
  controller: lab1service.controller # 控制層包名
  service: lab1service.mybatis.iservice # 業务層接口包名
  serviceImpl: lab1service.mybatis.iservice.impl #業务層實現包名
  mapper: lab1service.mybatis.mapper # 持久層包名
  entity: lab1serviceapi.model # 模型層包名
  xml: resource.mybatis.dao # xml包名

  # view使用
#  controller: lab1service.controller # 控制層包名
#  service: lab1service.mybatis.iservice.vw # 業务層接口包名
#  serviceImpl: lab1service.mybatis.iservice.vw.impl #業务層實現包名
#  mapper: lab1service.mybatis.mapper.vw # 持久層包名
#  entity: lab1serviceapi.model.vw # 模型層包名
#  xml: resource.mybatis.dao.vw # xml包名
